#  wget https://git.bbh.org.in/chess/elxr/raw/branch/master/linux_setup.sh

#STORE GIT CREDENTIALS IN CACHE
sudo yum install git
# git config --global --unset credential.helper
git config --global credential.helper store
# git config --global credential.helper 'store --file ~/.git-credentials'
# echo "Enter git username: "
# read gitUser
# echo "username=$gitUser" >> ~/.git-credentials
# echo "Enter git password: "
# read gitPassword
# echo "password=$gitPassword" >> ~/.git-credentials
# chmod 0600 ~/.git-credentials

# Install prerequisites 
#NODE JS 16.17.1
wget https://nodejs.org/dist/v16.17.1/node-v16.17.1-linux-x64.tar.xz
tar -xf node-v16.17.1-linux-x64.tar.xz
# Move the extracted folder to /usr/local/lib
sudo mv node-v16.17.1-linux-x64 /usr/local/lib/
# Create a symbolic link to the node executable
sudo ln -s /usr/local/lib/node-v16.17.1-linux-x64/bin/node /usr/local/bin/node
node -v

#NPM
sudo yum install npm


#INSTALLING NODE JS
npm install -g pm2
npm install -g ember-cli
npm install -g loopback-cli

#development A SETUP
cd ~
cd Desktop
mkdir chess
cd chess
mkdir development_A
cd development_A

# echo "Enter instance type: eg development/production"
# read instancetype
# echo "Enter FolderName: eg A/B/C"
# read foldername

# # echo "username=$gitUser" >> ~/.git-credentials

# mkdir $instancetype_$foldername
# cd $instancetype_$foldername


git clone http://git.bbh.org.in/chess/cihsr-config-development
cd cihsr-config-development
git checkout master 
rm -rf package-lock.json
npm i --force

#TO CREATE SYMLINK
cd ..
ln -s cihsr-config-development/ config

git clone http://git.bbh.org.in/chess/cihsr-data
cd cihsr-data
git checkout master 
rm -rf package-lock.json
npm i --force

cd ..
ln -s cihsr-data/ data

git clone http://git.bbh.org.in/chess/ember-masonry-grid
cd ember-masonry-grid
git checkout master 
rm -rf package-lock.json
npm i --force

cd ..
git clone http://git.bbh.org.in/chess/bbhverse
cd bbhverse
git checkout master 
rm -rf package-lock.json
npm i --force

cd ..
git clone http://git.bbh.org.in/chess/clientverse
cd clientverse
git checkout master 
rm -rf package-lock.json
npm i --force

cd ..
git clone http://git.bbh.org.in/chess/serververse
cd serververse
git checkout master 
rm -rf package-lock.json
npm i --force

cd ..
git clone http://git.bbh.org.in/chess/elxr
cd elxr
git checkout master 
rm -rf package-lock.json
npm i --force

cd ..
git clone http://git.bbh.org.in/chess/ember-searchable-select
cd ember-searchable-select
git checkout master 
rm -rf package-lock.json
npm i --force

cd ..
git clone http://git.bbh.org.in/chess/loopback-component-jsonapi
cd loopback-component-jsonapi
git checkout master 
rm -rf package-lock.json
npm i --force

cd ..
git clone http://git.bbh.org.in/chess/loopback-jsonapi-model-serializer
cd loopback-jsonapi-model-serializer
git checkout master 
rm -rf package-lock.json
npm i --force
npm run build

cd ..
git clone http://git.bbh.org.in/chess/loopback-connector-mysql
cd loopback-connector-mysql
git checkout master 
rm -rf package-lock.json
npm i --force

cd ..
git clone http://git.bbh.org.in/chess/loopback-connector-ds
cd loopback-connector-ds
git checkout master 
rm -rf package-lock.json
npm i --force

cd ..
git clone http://git.bbh.org.in/chess/setup
cd setup
git checkout master 
rm -rf package-lock.json
npm i --force

cd ..
git clone http://git.bbh.org.in/chess/ember-service-worker
cd ember-service-worker
git checkout master 
rm -rf package-lock.json
npm i --force

cd ..
git clone http://git.bbh.org.in/chess/ember-service-worker-asset-cache
cd ember-service-worker-asset-cache
git checkout master 
rm -rf package-lock.json
npm i --force

cd ..
git clone http://git.bbh.org.in/chess/ember-service-worker-cache-fallback
cd ember-service-worker-cache-fallback
git checkout master 
rm -rf package-lock.json
npm i --force

cd ..
git clone http://git.bbh.org.in/chess/ember-service-worker-index
cd ember-service-worker-index
git checkout master 
rm -rf package-lock.json
npm i --force

cd ..
git clone http://git.bbh.org.in/chess/ember-sw-client-route
cd ember-sw-client-route
git checkout master 
rm -rf package-lock.json
npm i --force

cd ..
git clone http://git.bbh.org.in/chess/global-this
cd global-this
git checkout master 
rm -rf package-lock.json
npm i --force

cd ..
git clone http://git.bbh.org.in/chess/ember-cp-validations
cd ember-cp-validations
git checkout master 
rm -rf package-lock.json
npm i --force

cd ..
git clone http://git.bbh.org.in/chess/loopback-connector
cd loopback-connector
git checkout master 
rm -rf package-lock.json
npm i --force

cd ..
git clone http://git.bbh.org.in/chess/loopback
cd loopback
git checkout master 
rm -rf package-lock.json
npm i --force

cd ..
git clone http://git.bbh.org.in/chess/loopback-datasource-juggler
cd loopback-datasource-juggler
git checkout master 
rm -rf package-lock.json
npm i --force

cd ..
git clone http://git.bbh.org.in/chess/loopback-connector-mssql
cd loopback-connector-mssql
git checkout master 
rm -rf package-lock.json
npm i --force

cd ..
git clone http://git.bbh.org.in/chess/loopback-filters
cd loopback-filters
git checkout master 
rm -rf package-lock.json
npm i --force

cd ..
git clone http://git.bbh.org.in/chess/loopback-connector-sqlite3
cd loopback-connector-sqlite3
git checkout master 
rm -rf package-lock.json
npm i --force

cd ..
git clone http://git.bbh.org.in/chess/chess-server-lib
cd chess-server-lib
git checkout master 
rm -rf package-lock.json
npm i --force

cd server
rm -rf package-lock.json
npm i --force
cd ..

cd ..
git clone http://git.bbh.org.in/chess/cihsr-server
cd cihsr-server
git checkout master 
rm -rf package-lock.json
npm i --force

cd ..
git clone http://git.bbh.org.in/chess/bbh_patient_portal
cd bbh_patient_portal
git checkout master 
rm -rf package-lock.json
npm i --force

cd ..
git clone http://git.bbh.org.in/chess/project-genesis-frontend
cd project-genesis-frontend
git checkout master 
rm -rf package-lock.json
npm i --force

cd ..
git clone http://git.bbh.org.in/chess/project-genesis-backend
cd project-genesis-backend
git checkout master 
rm -rf package-lock.json
npm i --force

cd ..
git clone http://git.bbh.org.in/chess/processmanager
cd processmanager
git checkout master
rm -rf package-lock.json
npm i --force

cd ..
git clone http://git.bbh.org.in/chess/client
cd client
git checkout master 
rm -rf package-lock.json
npm i --force
bower install
node_modules/.bin/bower install

cd ..
git clone http://git.bbh.org.in/chess/chess-client-lib
cd chess-client-lib
git checkout master 
rm -rf package-lock.json
npm i --force

cd ..
git clone http://git.bbh.org.in/chess/elixir-client
cd elixir-client
git checkout master 
rm -rf package-lock.json
npm i --force

cd chess-client-lib
rm -rf package-lock.json
npm i --force
cd ..
