
#STORE GIT CREDENTIALS IN CACHE
sudo apt install git
git config --global credential.helper store
git config --global credential.helper 'store --file ~/.git-credentials'
echo "Enter git username: "
read gitUser
echo "username=$gitUser" >> ~/.git-credentials
echo "Enter git password: "
read gitPassword
echo "password=$gitPassword" >> ~/.git-credentials
chmod 0600 ~/.git-credentials

sudo apt update

# Install prerequisites for dev environment
sudo apt install python2 
# sudo apt install build-essential
# sudo apt install -y make
sudo apt install nodejs
sudo apt install npm


#INSTALLING NODE JS
npm install -g pm2
npm install -g ember-cli

#PRODUCTION A SETUP
cd ~
cd Desktop
mkdir chess
cd chess
mkdir production_A
cd production_A


git clone https://git.bbh.org.in/chess/ember-masonry-grid
cd ember-masonry-grid
git checkout production 
npm i

cd ..
git clone https://git.bbh.org.in/chess/bbhverse
cd bbhverse
git checkout production 
npm i

cd ..
git clone https://git.bbh.org.in/chess/clientverse
cd clientverse
git checkout production 
npm i

cd ..
git clone https://git.bbh.org.in/chess/serververse
cd serververse
git checkout production 
npm i

cd ..
git clone https://git.bbh.org.in/chess/client
cd client
git checkout production 
npm i

cd ..
git clone https://git.bbh.org.in/chess/elxr
cd elxr
git checkout production 
npm i

cd ..
git clone https://git.bbh.org.in/chess/ember-searchable-select
cd ember-searchable-select
git checkout production 
npm i

cd ..
git clone https://git.bbh.org.in/chess/loopback-component-jsonapi
cd loopback-component-jsonapi
git checkout production 
npm i

cd ..
git clone https://git.bbh.org.in/chess/loopback-jsonapi-model-serializer
cd loopback-jsonapi-model-serializer
git checkout production 
npm i

cd ..
git clone https://git.bbh.org.in/chess/loopback-connector-mysql
cd loopback-connector-mysql
git checkout production 
npm i

cd ..
git clone https://git.bbh.org.in/chess/cihsr-config-development
cd cihsr-config-development
git checkout production 
npm i

cd ..
git clone https://git.bbh.org.in/chess/cihsr-config-production
cd cihsr-config-production
git checkout production 
npm i

cd ..
git clone https://git.bbh.org.in/chess/cihsr-data
cd cihsr-data
git checkout production 
npm i

cd ..
git clone https://git.bbh.org.in/chess/loopback-connector-ds
cd loopback-connector-ds
git checkout production 
npm i

cd ..
git clone https://git.bbh.org.in/chess/chess-server-lib
cd chess-server-lib
git checkout production 
npm i

cd ..
git clone https://git.bbh.org.in/chess/setup
cd setup
git checkout production 
npm i

cd ..
git clone https://git.bbh.org.in/chess/elixir-client-todos
cd elixir-client-todos
git checkout production 
npm i

cd ..
git clone https://git.bbh.org.in/chess/ember-service-worker
cd ember-service-worker
git checkout production 
npm i

cd ..
git clone https://git.bbh.org.in/chess/ember-service-worker-asset-cache
cd ember-service-worker-asset-cache
git checkout production 
npm i

cd ..
git clone https://git.bbh.org.in/chess/ember-service-worker-cache-fallback
cd ember-service-worker-cache-fallback
git checkout production 
npm i

cd ..
git clone https://git.bbh.org.in/chess/ember-service-worker-index
cd ember-service-worker-index
git checkout production 
npm i

cd ..
git clone https://git.bbh.org.in/chess/ember-sw-client-route
cd ember-sw-client-route
git checkout production 
npm i

cd ..
git clone https://git.bbh.org.in/chess/global-this
cd global-this
git checkout production 
npm i

cd ..
git clone https://git.bbh.org.in/chess/ember-cp-validations
cd ember-cp-validations
git checkout production 
npm i

cd ..
git clone https://git.bbh.org.in/chess/chess-client-lib
cd chess-client-lib
git checkout production 
npm i

cd ..
git clone https://git.bbh.org.in/chess/loopback-connector
cd loopback-connector
git checkout production 
npm i

cd ..
git clone https://git.bbh.org.in/chess/loopback
cd loopback
git checkout production 
npm i

cd ..
git clone https://git.bbh.org.in/chess/loopback-datasource-juggler
cd loopback-datasource-juggler
git checkout production 
npm i

cd ..
git clone https://git.bbh.org.in/chess/loopback-connector-mssql
cd loopback-connector-mssql
git checkout production 
npm i

cd ..
git clone https://git.bbh.org.in/chess/loopback-filters
cd loopback-filters
git checkout production 
npm i

cd ..
git clone https://git.bbh.org.in/chess/loopback-connector-sqlite3
cd loopback-connector-sqlite3
git checkout production 
npm i

cd ..
git clone https://git.bbh.org.in/chess/Trias-Elixir_Hybrid
cd Trias-Elixir_Hybrid
git checkout production 
npm i

cd ..
git clone https://git.bbh.org.in/chess/bbh_patient_portal
cd bbh_patient_portal
git checkout production 
npm i

cd ..
git clone https://git.bbh.org.in/chess/project-genesis-frontend
cd project-genesis-frontend
git checkout production 
npm i

cd ..
git clone https://git.bbh.org.in/chess/project-genesis-backend
cd project-genesis-backend
git checkout production 
npm i

cd ..
git clone http://git.bbh.org.in/chess/processmanager
cd processmanager
git checkout production
npm i

#TO CREATE SYMLINK
cd ..
ln -s cihsr-config-production/ config

